Subject: TOS bits on three-way handshake

From: "Mike O'Connor" <[email-masked]>
Date: Thu, 5 Nov 1998 11:12:49 -0500 (EST)

Why is the TOS bit not honored on the initial ACK to a SYN in the
three-way handshake between a client and server that employ TOS.  My
setsockopt() appear to be set correctly and the TOS bit shows up as
set in every other packet, as I believe that it should.  I've tested
with other services that use TOS and see the same behavior in traces
when connecting to IRIX, Solaris, and HP-UX systems.  I've looked at
RFC1349 for insight, but I don't see anything obvious that explains
this behavior.  

-- 
 Michael J. O'Connor | WWW: http://dojo.mi.org/~mjo/ | Email: [email-masked]
 InterNIC WHOIS: MJO | (has my PGP & Geek Code info) | Phone: +1 248-848-4481
 =--==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--==--=
"Ok, so I was wrong for once in my life!  Shut up."                   -Calvin